function [ z, k ] = ia2aa( interval, k )

if nargin == 1
    k = 2;
end


if length(interval) == 1
    z = interval;
    k = 2;
else
    zeta    = ia_mid(interval);
    delta   = ia_rad(interval);
    
    z       = zeros(1,k);
    z(1)    = zeta;
    z(k)    = delta;
    
    k       = k+1;
end

end

