function [ z ] = ia_etahOfBm( x, etah )

rv = 10^4;




if length(x) == 1
    
    z = etah(round(x*rv)+1);
    
else
    
    eta1 = etah(round(x(1)*rv)+1);
    eta2 = etah(round(x(2)*rv)+1);
    
    
    val_sup  = .071;
    hlim_inf = .29;
    hlim_sup = .3;
    
    if x(2) <= hlim_inf
        
        z   = [eta1 eta2];
        
    elseif x(1) >= hlim_sup
        z   = [eta2 eta1];
    else
        z   = [min(eta1,eta2) val_sup];
    end  
    
    
end

