function [ z ] = ia_etahOfGn( x, Jvalues, etah )

rv = 10^4;


if length(x) == 1
    
    z = etah.val(Jvalues,round(x*rv)+1);
    
else
    
    z = zeros(length(Jvalues),2);
    for jj=1:length(Jvalues)
        
        eta1 = etah.val(Jvalues(jj),round(x(1)*rv)+1);
        eta2 = etah.val(Jvalues(jj),round(x(2)*rv)+1);
        hchg = etah.ind(Jvalues(jj));
        lim  = etah.lim(Jvalues(jj));
    
    
        if Jvalues(jj) >= 16
            
            z(jj,:) = [eta2 eta1];
            
        else
            
            if x(2) <= hchg
                z(jj,:) = [eta1 eta2]; 
            elseif  x(1) >= hchg
                z(jj,:) = [eta2 eta1]; 
            else
                z(jj,:) = [min(eta1,eta2), lim];
            end
                 
            
        end  
        
    end
                

    
end

z = ia_zeroCheck(z);


