function [ r ] = ia_sin( x )
%IA_COS Summary of this function goes here
%   Detailed explanation goes here

if length(x) == 1
    
    r = sin(x);
    
else
    
    dist    = x(2)-x(1);
    xs(1)   = mod(x(1),2*pi);
    xs(2)   = xs(1)+dist;
    
    
    % Lower bound
    if xs(2) >= 3*pi/2 && xs(1) <= 3*pi/2
        r_lb = -1;
    else
        r_lb = min(sin(x(1)), sin(x(2)));
    end
    
    
    % Upper bound
    if xs(2) >= pi/2 && xs(1) <= pi/2
        r_ub = +1;
    else
        r_ub = max(sin(x(1)), sin(x(2)));
    end
    
    
    r       = [r_lb r_ub];
    
    
end

end