function [ flag ] = bb_intervalLargeEnough( node, prec )
%BB_INTERVALACCURACY Summary of this function goes here
%   Detailed explanation goes here

flag = true;
EPS  = 10^-5;   % In order to avoid issues with floating point values


ind(1) = ia_length(node.interv.h1) ~= 0     && ia_length(node.interv.h1) - prec.h1 < 0          && abs(ia_length(node.interv.h1) - prec.h1) > EPS;
ind(2) = ia_length(node.interv.h2) ~= 0     && ia_length(node.interv.h2) - prec.h2 < 0          && abs(ia_length(node.interv.h2) - prec.h2) > EPS;
ind(3) = ia_length(node.interv.sigma1) ~= 0 && ia_length(node.interv.sigma1) - prec.sigma1 < 0  && abs(ia_length(node.interv.sigma1) - prec.sigma1) > EPS;
ind(4) = ia_length(node.interv.sigma2) ~= 0 && ia_length(node.interv.sigma2) - prec.sigma2 < 0  && abs(ia_length(node.interv.sigma2) - prec.sigma2) > EPS;
ind(5) = ia_length(node.interv.beta) ~= 0   && ia_length(node.interv.beta) - prec.beta < 0      && abs(ia_length(node.interv.beta) - prec.beta) > EPS;
ind(6) = ia_length(node.interv.gamma) ~= 0  && ia_length(node.interv.gamma) - prec.gamma < 0    && abs(ia_length(node.interv.gamma) - prec.gamma) > EPS;
ind(7) = ia_length(node.interv.rho) ~= 0    && ia_length(node.interv.rho) - prec.rho < 0        && abs(ia_length(node.interv.rho) - prec.rho) > EPS;

if sum(ind) > 0
    flag = false;
end


end