function [ h1b, h2b ] = bb_constrh1leqh2( h1, h2 )
%BB_CONSTRH1LEQH2 Summary of this function goes here
%   Detailed explanation goes here


ll = h1(1) > h2(1);
lg = h1(1) > h2(2);
gl = h1(2) > h2(1);
gg = h1(2) > h2(2);




if ll + lg + gl + gg == 0       % La contrainte h1 <= h2 est satisfaite
    h1b = h1;
    h2b = h2;
elseif ll + lg + gl + gg == 4   % La contrainte h1 <= h2 ne peut pas tre satisfaite
    h1b = [];
    h2b = [];
elseif gg == 1 && ll == 0       % On peut supprimer une partie non faisable
    h1b = [h1(1) h2(2)];
    h2b = h2;
elseif ll == 1 && gg == 0       % On peut supprimer une partie non faisable
    h1b = h1;
    h2b = [h1(1) h2(2)];
else                            % On ne peut pas supprimer de partie non faisable "simplement"           
    h1b = h1;
    h2b = h2; 
end





%%

end

