
% Tunable parameter
Jmax        = 15;



% Fixed parameters
Nwt         = 2;
hlist       = [0:.0001:1];
J           = [1:Jmax];           



%% OfBm

for hh = 1 :length(hlist);
    etah(hh)  = coeffOndeletteAccr(hlist(hh),Nwt);%,1);
    disp(strcat(num2str(hh),'/',num2str(length(hlist))))
end


save('tab_etahOfBm.mat','hlist','etah');


%% OfGn

int = zeros(length(J),length(hlist));
for jj= 1:length(J);
    for hh = 1 :length(hlist);
        tmp = etahOfGn(hlist(hh),J(jj),Nwt);
        int(jj,hh)  = tmp;
    end
    jj
end

for jj=1:length(J)
    dd(jj,:) = diff(log2(int(jj,:)))';
end

[~, indzero] = min(abs(dd'));

val = diag(int(:,indzero));
ind = hlist(indzero);

etah.val = int;
etah.ind = ind;
etah.lim = val;

save('tab_etahOfGn.mat','hlist','etah');


