
% Tunable parameter
Jmax        = 15;



% Fixed parameters
Nwt         = 2;
hlist       = [0:.0001:2];
J           = [1:Jmax];           



%% OfGn

int = zeros(length(J),length(hlist));
for jj= 1:length(J);
    for hh = 1 :length(hlist);
        tmp = etahOfGn(hlist(hh),J(jj),Nwt);
        int(jj,hh)  = tmp;
    end
    jj
end



[val0max, ind0max] = max(int');
[val0min, ind0min] = min(int');



etah.val      = int;
etah.hmax     = hlist(ind0max);
etah.etamax   = val0max;
etah.hmin     = hlist(ind0min);
etah.etamin   = val0min;

save('tab_etahOfGnExtended.mat','hlist','etah');


