function [ r ] = ia_cos( x )
%IA_COS Summary of this function goes here
%   Detailed explanation goes here

if lenght(x) == 1;
    r = cos(x);
else
    
    dist    = x(2)-x(1);
    xs(1)   = mod(x(1),2*pi);
    xs(2)   = xs(1)+dist;
    
    
    % Lower bound
    if xs(2) >= pi && xs(1) <= pi
        r_lb = -1;
    else
        r_lb = min(cos(x(1)), cos(x(2)));
    end
    
    
    % Upper bound
    if xs(2) >= 2*pi && xs(1) <= 2*pi
        r_ub = +1;
    else
        r_ub = max(cos(x(1)), cos(x(2)));
    end
    
    
    r       = [r_lb r_ub];
    
end

end